Subject: Re: distributing executables for windows
From: Bruce Cran <[email-masked]>
To: Charles Wilson <[email-masked]>
Cc: [email-masked]
Date: Fri, 4 Mar 2011 10:18:01 +0000
List-Id: <cygwin.cygwin.com>

On Fri, 04 Mar 2011 01:11:23 -0500
Charles Wilson <> wrote:

> 'Course, this list will support neither you nor your users if ever
> they run into a problem with the installation that results.  We don't
> have time to support every frankenstein "cygwin" bowdlerization on
> the planet...
> 
> Still, it seems like an awful lot of effort, and future pain, to
> avoid a few 10's of KB of compressed man pages...have fun.

I've tested the solution on different machines and it seems to
work, with just 17 executables in /bin (cygwin in total uses 9MB) - I
wasn't prepared to require users to install 70MB of cygwin (which can't
be uninstalled!) just to support a simple 2MB application so I did my
research and found out just what little was actually required, given a
custom batch file to launch it. I realise I won't get any support for
it, but I have enough technical knowledge that I don't think I'll need
it.

-- 
Bruce Cran

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple